%global _internal_version da1cdb2af8da8468de7d77efdb80313c3660f36c
%define date 20220116

Name:           cinnamon
Version:        5.6.7
Release:        %mkrel 1

#Release:        %mkrel 0.%{date}.git%{_internal_version}
Summary:        Window management and application launching for Cinnamon

Group:          Graphical desktop/Cinnamon
# cinnamon-menu-editor is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://cinnamon.linuxmint.com
Source0:        https://github.com/linuxmint/Cinnamon/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        10_cinnamon-mageia.gschema.override
Source3:        polkit-cinnamon-authentication-agent-1.desktop
Source4:        10_cinnamon-apps.gschema.override.in

# from fedora
Patch0:         background.patch
#Patch1:         autostart.patch
Patch2:         default_panal_launcher.patch
Patch3:         fix-adwaita-icons.patch

%global clutter_version 1.12.2
%global gobject_introspection_version 0.10.1
%global muffin_version 4.4.0
%global eds_version 2.91.6
%global json_glib_version 0.13.2
%global polkit_version 0.100

BuildRequires:  pkgconfig(clutter-x11-1.0) >= %{clutter_version}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(polkit-agent-1) >= %{polkit_version}
BuildRequires:  pkgconfig(gudev-1.0)
# for screencast recorder functionality
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(xapp)

# for barriers
BuildRequires:  pkgconfig(xfixes) >= 5.0
# used in unused BigThemeImage
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libmuffin-0) >= %{muffin_version}
BuildRequires:  libpulseaudio-devel
# Bootstrap requirements
BuildRequires:  gtk-doc
BuildRequires:  gnome-common
%ifnarch %{arm}
BuildRequires:  pkgconfig(libwacom)
BuildRequires:  pkgconfig(xorg-wacom)
%endif
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(cjs-1.0) >= 4.8.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(cinnamon-desktop) >= 2.0.4
BuildRequires:  pkgconfig(libcinnamon-menu-3.0) >= 4.8.0
BuildRequires:  meson

#required for applet fix
BuildRequires:  patchelf
BuildRequires:  chrpath

Requires:       cinnamon-menus
# wrapper script uses to restart old GNOME session if run --replace
# from the command line
Requires:       gobject-introspection >= %{gobject_introspection_version}
# needed for loading SVG's via gdk-pixbuf
Requires:       librsvg2
# needed as it is now split from Clutter
Requires:       json-glib >= %{json_glib_version}
# Get upower 1.0 api changes
Requires:       upower >= 0.99.0
Requires:       polkit >= 0.100
# needed for session files
# cinnamon-session version fixes location of helper app
Requires:       cinnamon-session
# needed for on-screen keyboard
Requires:       caribou
# needed for settings
Requires:       python3-gobject3
Requires:       dbus-python3
Requires:       python3-lxml
Requires:       python3-imaging
Requires:       python3-pam
Requires:       python3-pexpect
Requires:       python3-pillow
Requires:       python3-pytz
Requires:       cinnamon-control-center
Requires:       cinnamon-translations
# fix 10916
Requires:       gnome-themes-standard
# fix cinnamon startup crashes
Requires:       typelib(fontconfig)
# include cjs introspection
Requires:       cjs >= 3.8.0
# Mate polkit
Requires:       mate-polkit
# requires for keyboard applet
Requires:       gucharmap

# required for network applet
Requires:       networkmanager-applet
#needed for cinnamon-looking-glass
Requires:       python3-pyinotify
#needed for cinnamon-json-makepot
Requires:       python3-polib

#otherwise crashed at login
Requires:       nemo
Requires:       google-noto-sans-fonts
Requires:       python3-tinycss
#include config files
Requires:       muffin

# cinnamon handles notifications natively, no notification-daemon needed
Provides:       virtual-notification-daemon
# and ditto for polkit authorisation dialogs
Provides:       polkit-agent

#force requires to deal with mutter confusion

Requires:  %{mklibname clutter-gir 1.0}
Requires:  %{mklibname cogl-pango-gir 1.0}
Requires:  %{mklibname cogl-gir 1.0}

%description
Cinnamon is a Linux desktop which provides advanced
 innovative features and a traditional user experience.

The desktop layout is similar to Gnome 2. 
The underlying technology is forked from Gnome Shell.
The emphasis is put on making users feel at home and providing
 them with an easy to use and comfortable desktop experience.

%package devel-doc
Summary: Development Documentation files for Cinnamon
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description devel-doc
This package contains the code documentation for various Cinnamon components.	

%prep
%autosetup -p1 -n cinnamon-%{version}
#autosetup -p1 -n linuxmint-Cinnamon-%{_internal_version}
 
# remove gschema
#rm -rf data/org.cinnamon.gschema.xml

# have cinnamon use mageia app system
grep -r -l cinnamon-applications.menu files%{_datadir} files%{_bindir}  src | \
xargs sed -i -e 's@cinnamon-applications@applications@g' 

# files replaced with mageia files
rm -rf files%{_sysconfdir}/xdg
rm -f files%{_datadir}/desktop-directories/cinnamon-{menu-applications,utility,utility-accessibility,development,education,game,graphics,network,audio-video,office,system-tools,other}.directory
# remove spurious NMclient items
sed -i -e 's!imports.gi.NMClient!imports_gi_NMClient!g' js/ui/extension.js

# Fix rpmlint errors	
for file in files%{_datadir}/%{name}/%{name}-settings/bin/*.py files%{_datadir}/%{name}/%{name}-looking-glass/*.py \
   files%{_datadir}/%{name}/%{name}-settings/modules/cs_{applets,desklets}.py; do
   chmod a+x $file	
done
chmod a-x files%{_datadir}/%{name}/%{name}-settings/bin/__init__.py


%build
%meson \
 --libexecdir=%{_libexecdir}/cinnamon/ \
 -Ddeprecated_warnings=false \
 -Dpy3modules_dir=%{python3_sitelib} \
 -Ddocs=true

%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas/10_cinnamon-mageia.gschema.override


# install polkik autostart desktop file
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/


# install gschema-override for apps
%{__sed} -e 's!@pkg_manager@!mageia-drakconf.desktop!g' \
    < %{SOURCE4} > %{buildroot}%{_datadir}/glib-2.0/schemas/10_%{name}-apps.gschema.override

# symlink icon
mkdir -p %{buildroot}%{_datadir}/cinnamon/theme/
ln -s %{_iconsdir}/hicolor/scalable/apps/mageia-menu.svg \
  %{buildroot}%{_datadir}/cinnamon/theme/mageia-menu.svg

# fix hard coded paths
%if "%{?_lib}" == "lib64"
sed -i -e 's@/usr/lib/cinnamon-control-center@%{_libdir}/cinnamon-control-center@g' \
%{buildroot}%{_datadir}/cinnamon/cinnamon-settings/bin/capi.py
%endif

# delete the preload bits till it supports systemd
rm -f %{buildroot}%{_bindir}/cinnamon-preload*
rm -rf %{buildroot}%{_sysconfdir}/cinnamon/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/10Cinnamon.desktop ]; then
	rm -rf %{_datadir}/xsessions/10Cinnamon.desktop
fi
if [ -e %{_datadir}/xsessions/11Cinnamon2D.desktop ]; then
	rm -rf %{_datadir}/xsessions/11Cinnamon2D.desktop
fi

%check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc README.rst AUTHORS
%license COPYING
%{_bindir}/*
%{_datadir}/desktop-directories/cinnamon-*.directory
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/polkit-1/actions/org.cinnamon.settings-users.policy
%{_datadir}/cinnamon/
%{_datadir}/cinnamon-*/
%{_datadir}/dbus-1/services/org.Cinnamon.*.service
%{_datadir}/dbus-1/services/org.cinnamon.*.service
%{_datadir}/xsessions/*
%{_libdir}/cinnamon/
%{_mandir}/man1/*.1.*
%{python3_sitelib}/cinnamon/
%{_libexecdir}/cinnamon/cinnamon-hotplug-sniffer
%{_libexecdir}/cinnamon/cinnamon-perf-helper
%{_libexecdir}/cinnamon/cinnamon-calendar-server.py


%files devel-doc
%doc %{_datadir}/gtk-doc/html/*/


%changelog
* Mon Feb 20 2023 joequant <joequant> 5.6.7-1.mga9
+ Revision: 1944360
- update to 5.6.7

* Fri Jan 13 2023 joequant <joequant> 5.6.6-1.mga9
+ Revision: 1932765
- update to 5.6.6

* Sun Dec 04 2022 joequant <joequant> 5.6.4-1.mga9
+ Revision: 1917836
- update to 5.6.4

* Sat Nov 19 2022 joequant <joequant> 5.6.1-1.mga9
+ Revision: 1908996
- update to 5.6.1

* Sun Oct 23 2022 wally <wally> 5.4.12-3.mga9
+ Revision: 1898606
- drop unneeded gksu-polkit reqs as pkexec is used instead

* Sun Oct 16 2022 wally <wally> 5.4.12-2.mga9
+ Revision: 1897155
- drop requires for nonexistent at-spi2-atk
+ joequant <joequant>
- fix commit

* Thu Sep 29 2022 tv <tv> 5.4.12-1.mga9
+ Revision: 1893258
- 5.4.12

* Sun Aug 07 2022 joequant <joequant> 5.4.9-1.mga9
+ Revision: 1875793
- update to 5.4.9

* Fri Jul 01 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1866974
- update to 5.4.2

* Sun Apr 17 2022 joequant <joequant> 5.2.7-5.mga9
+ Revision: 1850957
- fix dependencies
- add fix meson
- update to add adwaita icons

* Tue Apr 05 2022 umeabot <umeabot> 5.2.7-4.mga9
+ Revision: 1844790
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 5.2.7-3.mga9
+ Revision: 1774460
- Rebuild for python-3.10
+ joequant <joequant>
- update to python 3.10

* Tue Jan 11 2022 joequant <joequant> 5.2.7-1.mga9
+ Revision: 1767897
- update to 5.2.7

* Sat Dec 25 2021 joequant <joequant> 5.2.6-1.mga9
+ Revision: 1763602
- update to 5.2.6

* Fri Dec 10 2021 joequant <joequant> 5.2.5-1.mga9
+ Revision: 1761319
- update to 5.2.5

* Sat Dec 04 2021 joequant <joequant> 5.2.2-1.mga9
+ Revision: 1760660
- update to 5.2.2
- update to 5.2.2

* Sat Nov 27 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1759578
- update to 5.2.0

* Tue Nov 02 2021 joequant <joequant> 5.0.6-2.mga9
+ Revision: 1753644
- update overrides

* Sat Oct 23 2021 joequant <joequant> 5.0.6-1.mga9
+ Revision: 1752719
- update to 5.0.6

* Mon Aug 09 2021 wally <wally> 5.0.5-2.mga9
+ Revision: 1740930
- require librsvg2 for svg image loading
- symlink mageia-menu.svg from desktop-common-data pkg
- fix libdir in 64bit arches

* Sat Jul 24 2021 joequant <joequant> 5.0.5-1.mga9
+ Revision: 1737583
- update to 5.0.5

* Wed Jun 02 2021 joequant <joequant> 5.0.1-1.mga9
+ Revision: 1729286
- update to 5.0.1

* Fri Mar 19 2021 joequant <joequant> 4.8.6-1.mga9
+ Revision: 1704898
- update to 4.8.6
- update to 4.8.5

* Tue Dec 15 2020 joequant <joequant> 4.8.3-1.mga8
+ Revision: 1657585
- update to 4.8.3

* Fri Dec 11 2020 joequant <joequant> 4.8.2-1.mga8
+ Revision: 1655269
- update to 4.8.2

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654666
- update to 4.8.0

* Wed Oct 14 2020 wally <wally> 4.6.7-2.mga8
+ Revision: 1635961
- drop unneeded requires excludes
- build with -Wl,--no-undefined
- bundle libcroco
- drop unused libcroco BR

* Wed Sep 30 2020 joequant <joequant> 4.6.7-1.mga8
+ Revision: 1631305
- update 4.6.7
+ ovitters <ovitters>
- fix usage of  in posttrans

* Sun Jun 28 2020 joequant <joequant> 4.6.6-1.mga8
+ Revision: 1599801
- update to 4.6.6

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584243
- update to 4.6.0

* Wed Feb 19 2020 umeabot <umeabot> 4.4.8-2.mga8
+ Revision: 1542826
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 07 2020 joequant <joequant> 4.4.8-1.mga8
+ Revision: 1477045
- update to 4.4.8

* Mon Dec 30 2019 joequant <joequant> 4.4.6-1.mga8
+ Revision: 1474968
- update to 4.4.6

* Sat Dec 07 2019 joequant <joequant> 4.4.3-4.mga8
+ Revision: 1465049
- require muffin

* Sat Dec 07 2019 joequant <joequant> 4.4.3-3.mga8
+ Revision: 1464962
- remove muffin

* Sat Dec 07 2019 joequant <joequant> 4.4.3-2.mga8
+ Revision: 1464939
- add pytz to requires

* Sat Dec 07 2019 joequant <joequant> 4.4.3-1.mga8
+ Revision: 1464915
- update to 4.4.3

* Thu Aug 22 2019 joequant <joequant> 4.2.3-1.mga8
+ Revision: 1431358
- update to 4.2.3

* Sat Jul 06 2019 joequant <joequant> 4.2.0-2.mga8
+ Revision: 1418904
- version 4.2

* Sun May 19 2019 joequant <joequant> 4.0.10-2.mga7
+ Revision: 1398458
- add icon for virtual keyboard - bug #24133

* Fri Apr 05 2019 joequant <joequant> 4.0.10-1.mga7
+ Revision: 1385892
- upgrade to 4.0.10
- upgrade to 4.0.10

* Sat Mar 16 2019 joequant <joequant> 4.0.9-5.mga7
+ Revision: 1378052
- change dbus-python to dbus-python3

* Sun Mar 10 2019 wally <wally> 4.0.9-4.mga7
+ Revision: 1373779
- drop unneeded gnome-python-gconf requires

* Thu Feb 28 2019 wally <wally> 4.0.9-3.mga7
+ Revision: 1370527
- filter out bogus require for typelib(WebKit)

* Fri Feb 22 2019 daviddavid <daviddavid> 4.0.9-2.mga7
+ Revision: 1369348
- fix dangling link, CinnamonJS no more provided (mga#23301)

* Mon Jan 14 2019 joequant <joequant> 4.0.9-1.mga7
+ Revision: 1356156
- upgrade to 4.0.9 and include grouped windows

* Mon Nov 26 2018 joequant <joequant> 4.0.2-1.mga7
+ Revision: 1334882
- upgrade to 4.0.2

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328444
- update to 4.0.0

* Sun Nov 04 2018 joequant <joequant> 3.8.9-3.mga7
+ Revision: 1328343
- remove requires on cinnamon-screensaver

* Mon Oct 01 2018 joequant <joequant> 3.8.9-2.mga7
+ Revision: 1313721
- upgrade to 3.8.9

* Sat Sep 22 2018 umeabot <umeabot> 3.8.8-2.mga7
+ Revision: 1296232
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 joequant <joequant> 3.8.8-1.mga7
+ Revision: 1246378
- update to 3.8.8 and gcc8

* Sat Jun 30 2018 joequant <joequant> 3.8.6-1.mga7
+ Revision: 1240979
- update to 3.8.6

* Mon May 21 2018 kekepower <kekepower> 3.8.3-1.mga7
+ Revision: 1231239
- Update to version 3.8.3

* Sun Apr 29 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223462
- update to 3.8.0

* Mon Mar 12 2018 joequant <joequant> 3.6.7-1.mga7
+ Revision: 1208705
- update to 3.6.7
- update to 3.6.7

* Sat Nov 25 2017 joequant <joequant> 3.6.6-1.mga7
+ Revision: 1179175
- upgrade to 3.6.6

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175398
- update to 3.6.0

* Sat Aug 12 2017 joequant <joequant> 3.4.6-1.mga7
+ Revision: 1139972
- upgrade to 3.4.6

* Mon Jul 17 2017 joequant <joequant> 3.4.4-1.mga7
+ Revision: 1124031
- add 3.4 sources
- update to 3.4

* Sat Mar 25 2017 joequant <joequant> 3.2.8-4.mga6
+ Revision: 1094831
- add back panel launcher patch

* Mon Mar 06 2017 eatdirt <eatdirt> 3.2.8-3.mga6
+ Revision: 1089092
- Fix missing Requires to nemo

* Wed Mar 01 2017 ghibo <ghibo> 3.2.8-2.mga6
+ Revision: 1088282
- Rebuilt against pulseaudio 10

* Mon Jan 23 2017 joequant <joequant> 3.2.8-1.mga6
+ Revision: 1083164
- upgrade to 3.2.8

* Sun Nov 27 2016 joequant <joequant> 3.0.7-5.mga6
+ Revision: 1070411
- fix requires

* Sun Nov 27 2016 joequant <joequant> 3.0.7-4.mga6
+ Revision: 1070391
- fix requires

* Thu Nov 24 2016 joequant <joequant> 3.0.7-3.mga6
+ Revision: 1069559
- add typelibs which are needed to pick up some required typelibs

* Sun Oct 02 2016 pterjan <pterjan> 3.0.7-2.mga6
+ Revision: 1058159
- patchelf now works on arm

* Fri Aug 26 2016 joequant <joequant> 3.0.7-1.mga6
+ Revision: 1048991
- Update to 3.0.7 to fix #19250

* Fri Jun 03 2016 joequant <joequant> 3.0.3-3.mga6
+ Revision: 1020077
- Bug #18147 - No logout buttons on session close

* Mon May 30 2016 joequant <joequant> 3.0.3-2.mga6
+ Revision: 1019386
- Bug 18579 - add mageia icon to cinnamon

* Sat May 21 2016 joequant <joequant> 3.0.3-1.mga6
+ Revision: 1017343
- upgrade to 3.0.3

* Tue May 03 2016 joequant <joequant> 3.0.1-1.mga6
+ Revision: 1008831
- upgrade to 3.0.1

* Sun May 01 2016 wally <wally> 2.8.7-3.mga6
+ Revision: 1008449
- drop wmsession.d configs and rely on xsession files from upstream

* Sun May 01 2016 joequant <joequant> 2.8.7-2.mga6
+ Revision: 1008395
- fix 17961 - need gksu-polkit for user and groups

* Sat Mar 26 2016 joequant <joequant> 2.8.7-1.mga6
+ Revision: 995550
- upgrade to 2.8.7

* Mon Feb 22 2016 joequant <joequant> 2.8.6-1.mga6
+ Revision: 976118
- upgrade to 2.8.6 and fix link to gnome-terminal

* Sat Feb 13 2016 umeabot <umeabot> 2.8.4-4.mga6
+ Revision: 959706
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 neoclust <neoclust> 2.8.4-3.mga6
+ Revision: 904124
- patchelf is not available on arm

* Wed Nov 18 2015 joequant <joequant> 2.8.4-1.mga6
+ Revision: 903999
- upgrade to 2.8.4

* Thu Oct 22 2015 joequant <joequant> 2.8.0-2.mga6
+ Revision: 894098
- fix capi.py

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893695
- upgrade to 2.8.0

* Sun Aug 09 2015 joequant <joequant> 2.6.9-3.mga6
+ Revision: 862299
- change excludes to be .so based

* Sun Aug 09 2015 joequant <joequant> 2.6.9-2.mga6
+ Revision: 862087
- remove devel from requires

* Fri Jun 26 2015 joequant <joequant> 2.6.9-1.mga6
+ Revision: 844331
- change muffin dependency
- upgrade to 2.6

* Tue Jun 23 2015 joequant <joequant> 2.4.5-3.mga6
+ Revision: 840993
- rebuild with Adwaita fix
- Fix errata with bad capitalization for Adwaita

* Tue May 05 2015 joequant <joequant> 2.4.5-2.mga5
+ Revision: 821258
- fix override to use Adwaita by default

* Thu Nov 27 2014 joequant <joequant> 2.4.5-1.mga5
+ Revision: 799529
- update to 2.4.5
- update to 2.4.4

* Sun Nov 23 2014 joequant <joequant> 2.4.3-1.mga5
+ Revision: 798490
- add chrpath
- update to 2.4
- update to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.16-6.mga5
+ Revision: 748794
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.16-5.mga5
+ Revision: 693607
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.16-4.mga5
+ Revision: 678395
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 2.2.16-3.mga5
+ Revision: 669356
- add another icon patch

* Fri Aug 29 2014 joequant <joequant> 2.2.16-2.mga5
+ Revision: 669262
- use adwaita icon names

* Mon Aug 25 2014 joequant <joequant> 2.2.16-1.mga5
+ Revision: 667275
- update to 2.2.16

* Sun Jul 06 2014 joequant <joequant> 2.2.13-3.mga5
+ Revision: 644202
- put in power-applet workaround

* Tue Jun 10 2014 joequant <joequant> 2.2.13-2.mga5
+ Revision: 635402
- rebuild with new cinnamon stack

* Mon Jun 09 2014 joequant <joequant> 2.2.13-1.mga5
+ Revision: 635277
- upgrade to 2.2.13

* Tue May 20 2014 joequant <joequant> 2.2.9-2.mga5
+ Revision: 624237
- bump up rev
- add requires for cinnamon aux utilities

* Wed May 14 2014 joequant <joequant> 2.2.9-1.mga5
+ Revision: 622767
- upgrade to 2.2.9 - fix broken sound applets

* Sat Apr 19 2014 joequant <joequant> 2.2.3-1.mga5
+ Revision: 616967
- upgrade to 2.2

* Thu Apr 17 2014 joequant <joequant> 2.0.14-13.mga5
+ Revision: 615450
- bump version
- remove nautilus dependency

* Mon Mar 31 2014 joequant <joequant> 2.0.14-12.mga5
+ Revision: 610755
- remove bluetooth to sync with fedora patches
- rebuild to remove bluetooth applet dependency

* Fri Mar 14 2014 joequant <joequant> 2.0.14-11.mga5
+ Revision: 603474
- fix cinnamon menus
- revert previous menu fix changes.  Too much disruption of directory structure

* Thu Mar 06 2014 joequant <joequant> 2.0.14-9.mga5
+ Revision: 600456
- fix missing time for upower 1.0

* Mon Feb 24 2014 pterjan <pterjan> 2.0.14-8.mga5
+ Revision: 596126
- Rebuild for new cogl
+ joequant <joequant>
- use standard cinnamon locations to fix menu issues

* Fri Feb 07 2014 joequant <joequant> 2.0.14-6.mga5
+ Revision: 585035
- add fedora compile fix
+ neoclust <neoclust>
- Rebuild against new libcogl-pango

* Fri Jan 24 2014 colin <colin> 2.0.14-5.mga4
+ Revision: 567692
- Prevent duplicate Cinnamon sessions in (at least) GDM mga#11582

* Wed Jan 08 2014 joequant <joequant> 2.0.14-4.mga4
+ Revision: 565561
- push to core/release

* Fri Jan 03 2014 joequant <joequant> 2.0.14-3.mga4
+ Revision: 564206
- add 11567

* Fri Jan 03 2014 joequant <joequant> 2.0.14-2.mga4
+ Revision: 564154
- add MCC to panel - fixes 11834
- pull over fedora authentication patches

* Wed Jan 01 2014 joequant <joequant> 2.0.14-1.mga4
+ Revision: 563792
- upgrade to 2.0.14

* Sun Dec 22 2013 joequant <joequant> 2.0.4-2.mga4
+ Revision: 559926
- add provides for polkit and virtual-notification-daemon

* Wed Oct 23 2013 joequant <joequant> 2.0.4-1.mga4
+ Revision: 546391
- upgrade to 2.0.4

* Tue Oct 22 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 545330
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 joequant <joequant> 2.0.2-2.mga4
+ Revision: 496782
- point setup tool to the right directory in cinnamon-control-center

* Fri Oct 11 2013 joequant <joequant> 2.0.2-1.mga4
+ Revision: 495421
- update to 2.0.2

* Tue Oct 01 2013 joequant <joequant> 1.9.2-1.mga4
+ Revision: 490051
- repack source files
- add source package
- update to 1.9.2

* Thu Sep 19 2013 joequant <joequant> 1.9.2-0.20130918git8a53cfb.1.mga4
+ Revision: 481357
- update git

* Mon Sep 09 2013 joequant <joequant> 1.9.2-0.6.gitae09c76.mga4
+ Revision: 476700
- set to mageia defaults
  add backgrounds
- fix background patch to add more dirs

* Mon Sep 02 2013 joequant <joequant> 1.9.2-0.4.gitae09c76.mga4
+ Revision: 474263
- update cinnamon

* Sun Aug 25 2013 joequant <joequant> 1.9.2-0.3.git8bdd61f.mga4
+ Revision: 471493
- add requires to cinnamon-settings

* Sun Aug 25 2013 joequant <joequant> 1.9.2-0.2.git8bdd61f.mga4
+ Revision: 471459
- add cjs require

* Sat Aug 24 2013 joequant <joequant> 1.9.2-0.1.git8bdd61f.mga4
+ Revision: 470787
- buildrequires
- build requires fixes
- build requires
- upgrade cinnamon

* Wed Aug 21 2013 joequant <joequant> 1.9.1-6.mga4
+ Revision: 468766
- add fontconfig requires

* Sun Aug 04 2013 joequant <joequant> 1.9.1-5.mga4
+ Revision: 463379
- fix 10916 - change 2d startup file

* Sun Aug 04 2013 joequant <joequant> 1.9.1-4.mga4
+ Revision: 463340
- add requires to fix 10916

* Thu Aug 01 2013 malo <malo> 1.9.1-3.mga4
+ Revision: 462350
- rebuild for new cogl

* Tue Jul 30 2013 joequant <joequant> 1.9.1-2.mga4
+ Revision: 460897
- rebuild cinnamon for new mozjs

* Fri Jun 28 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 448000
- update to 1.9.1
- fix settings and themes
- update to 1.8.7
  clean up spec file
- update to 1.8.6 + gnome 3.8 patches
- remove gnome-panel which no longer exists in 3.8
- upgrade cinnamon and muffin
- add cinnamon-launcher
- update to 1.7.8
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- sync up with current trunk
- change location of helper app to reflect gnome-session change
- grab new speedup patch from github mtwebster/Cinnamon:menu-again
- remove typelib(Meta) symbol from requires
- change cinnamon to use muffin API tag
  remove fedora patches
  speed up menu
- modify to match mageia path locations
- switch back to running under gnome-session
- use cinnamon startup instead of gnome-session
- imported package cinnamon


* Sat Jul 14 2012 Pedro <simplew8@gmail.com> 1.4.0-1
- first package (from git master revision 06c765e..9213641)
- avoid treating warnings as errors
